cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/auth/email/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"token": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/auth/email/verify"
payload = {
"email": "[email protected]",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]', token: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/auth/email/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"company": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"preferredAppAppearance": "<string>",
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": true,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"preferredLanguage": "<string>"
},
"expires": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authentication
Verify Email Authentication
Verify Email Authentication with the Sendbot API v3.
POST
/
v3
/
auth
/
email
/
verify
cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/auth/email/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"token": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/auth/email/verify"
payload = {
"email": "[email protected]",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]', token: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/auth/email/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"company": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"preferredAppAppearance": "<string>",
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": true,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"preferredLanguage": "<string>"
},
"expires": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I